Solucionar todos los problemas de WPS Office (Kubuntu 17.10 , KDE Neón) - Legión GA

Página oficial de Legión GNU/Linux de la comunidad de Telegram

Únete a Telegram

6 mar 2018

Solucionar todos los problemas de WPS Office (Kubuntu 17.10 , KDE Neón)

Solucionar todos los problemas de WPS Office (Kubuntu 17.10 , KDE Neón)


Primeramente hay que recalcar que siempre debemos instalar una dependencia que en Ubuntu 
inestable(especialmente en la versión Ubuntu 17.10) no viene solo las versiones estables LTS.
 Entonces si no te deja instalar el paquete de WPS es la dependencia llamada  libpng12-0” la cual esta presente para ser instalada automáticamente en Ubuntu 16.04 LTS.
Para agregar el repositorio de Xenial para instalar la dependencia debemos abrir una terminal y
 copiar y pegar lo siguiente : 
Solo funcionara con Ubuntu 17.10 y 18.04 LTS (beta)


La versión 64 bits 
# sudo add-apt-repository “deb http://cz.archive.ubuntu.com/ubuntu xenial main”  

Por si llegas a tener un 32 bits 

sudo add-apt-repository “deb http://cz.archive.ubuntu.com/ubuntu xenial main”  

Ahora actualizaremos y más tarde instalaremos o directamente damos la orden entera : 

# sudo apt update && sudo apt install libpng12-0 

Ahora solo confirman y ponen su contraseña como siempre. 
Lo próximo sera instalar el paquete de WPS office.deb , si no lo tienen lo descargan desde acá.  
X64 bits

X32 bits

Al terminar de descargar abre una consola o terminal en la home. Allí estará el paquete que haz 
descargado entonces le darás la orden de instalarse por medio de la terminal. 
Versión x32 bits 
# sudo dpkg -i wps-office_10.1.0.5707~a21_i386.deb
Versión x64 bits 
# sudo dpkg -i wps-office_10.1.0.5707~a21_amd64.deb 

Le daremos a Y o S y enter. Si arroja un error solo saca captura para no olvidarte cual es el error y 
buscarlo en Google o preguntarle a alguien. 
Si la instalación resulta exitosa y en el entorno KDE Plasma 5 no abre después de ejecutarlo. 
Entonces debes ejecutarlo en la terminal para comprobar el error que te arroja. En muchos caso sale el siguiente error. 



/usr/bin/wps: línea 38: 17576 Violación de segmento  (`core' generado) ${gInstallPath}/office6/${gApp} ${gOptExt} ${gOpt} "$@"

Lo cual indica que esta escrito en QT 4 y no es compatible con el QT 5 de KDE Plasma 5. 
Entonces instalaremos la utilidad para configurar el QT 4 para que las aplicaciones puedan ejecutarse sin errores. 


# sudo apt install qt4-qtconfig 

Una vez instalado correctamente debemos buscarlo en nuestro sistema en el menú de aplicaciones de KDE Plasma en mi caso es Kubuntu 17.10.
También aplica a KDE neón y el inestable.

Buscaremos QT4 setting. Lo abrimos y después en la GUI Style seleccionamos Gtk + por ultimo nos dirigimos a la parte de arriba para
 guardar los cambios, en donde dice “File”
 y hacemos clic en “save” para guardar la configuración. Ahora es turno de abrir WPS Office. 



Teniendo éxito al ejecutar nos mostrara un error referido a las fuentes de letras las cuales instalaremos rápidamente y se ira del todo el error. 
El Error que sale es el siguiente : 

  “ Some formula symbols might not be displayed corectly due to missing...” 
 


Lo que debemos hacer es cerrarlo. Después seras estas instrucciones.Instalaremos primero git 
para clonar las carpetas con las fuentes de letras que se necesitan. 
# sudo apt install git 
Una vez hecho esto debemos crear un directorio 
# sudo mkdir -p /usr/share/fonts/wps-office
Ya creado procederemos a descargar las fuentes con una simple linea de comando. 

Ahora todo ira bien. Por ultimo paso después de hacer montones de cosas; actualizaremos o 
refrescaremos las fuentes de letras. 

# sudo fc-cache -v


 Ahora normalmente iniciar WPS y listo estará funcionando perfectamente. Espero tu comentario. 

Para Tener Wps al español y el diccionario ES_ consulta las entradas del blog. 

No hay comentarios.:

Publicar un comentario